
@use '../global/styles-variables' as *;

.app {
  display: grid;
  grid-template-rows: auto 1fr auto;
  min-height: 100vh;
  height: 100%;

  &__wrapper {

    & > .digi-layout-block {
      height: 100%;
      display: grid;
      grid-template-columns: 300px 1fr;
    }
  }

  &__navigation-wrapper {
    flex-shrink: 0;
    border-right: var(--digi--border-width--primary) solid var(--digi--color--border--neutral-2);
    flex: 0 0 0;
  
    @media screen and (max-width: $digi--breakpoint--medium-below) {
      position: absolute;
    }
  
    @media screen and (min-width: $digi--breakpoint--medium) {
      flex-basis: 300px;
    }
  }
}